Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.urlfetch.dev
Class LocalURLFetchService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.urlfetch.dev.LocalURLFetchService

    @ServiceProvider(value=)
    public class LocalURLFetchService

extends AbstractLocalRpcService

`LocalURLFetchService` fetchs URLs using Apache HttpClient. This implementation should only be used within the dev appserver environment.

Field Summary
`static java.lang.String` | `PACKAGE` The package name for this service.

Constructor Summary
`LocalURLFetchService()`

Method Summary
`HttpClient` | `createHttpClient(boolean validateHttps)`
`URLFetchResponse` | `fetch(Status status, URLFetchRequest request)`
Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Field Detail
### PACKAGE
    public static final java.lang.String PACKAGE
The package name for this service. See Also: Constant Field Values
Constructor Detail
### LocalURLFetchService
    public LocalURLFetchService()
Method Detail
### getPackage
    public java.lang.String getPackage()
### setTimeoutInMs
    public void setTimeoutInMs(int timeoutInMs)
### createHttpClient
    public HttpClient createHttpClient(boolean validateHttps)
### init
    public void init(LocalServiceContext context,
                     java.util.Map<java.lang.String,java.lang.String> properties)
### start
    public void start()
### stop
    public void stop()
### fetch

###

    getMaximumDeadline

    public java.lang.Double getMaximumDeadline(boolean isOfflineRequest)

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD